Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis1.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis1.inc	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis1.inc	(revision 226)
@@ -6,6 +6,6 @@
 
        CALL meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
+               wday_ini,wdaysec,                &
+               wappel_phys,                     &
                lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
                womeg,wmugaz,                                           &
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis2.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis2.inc	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis2.inc	(revision 226)
@@ -9,6 +9,6 @@
        CASE(1)
        CALL meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
+               wday_ini,wdaysec,                &
+               wappel_phys,                     &
                lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
                womeg,wmugaz,                                           &
@@ -28,6 +28,6 @@
        CASE(2)
        CALL d2_meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
+               wday_ini,wdaysec,                   &
+               wappel_phys,                        &
                lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
                womeg,wmugaz,                                           &
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis3.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis3.inc	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis3.inc	(revision 226)
@@ -9,6 +9,6 @@
        CASE(1)
        CALL meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
+               wday_ini,wdaysec,                &
+               wappel_phys,                     &
                lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
                womeg,wmugaz,                                           &
@@ -27,6 +27,6 @@
        CASE(2)
        CALL d2_meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
+               wday_ini,wdaysec,                   &
+               wappel_phys,                        &
                lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
                womeg,wmugaz,                                           &
@@ -45,6 +45,6 @@
        CASE(3)
        CALL d3_meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
+               wday_ini,wdaysec,                   &
+               wappel_phys,                        &
                lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
                womeg,wmugaz,                                           &
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis4.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis4.inc	(revision 225)
+++ 	(revision )
@@ -1,86 +1,0 @@
-!
-! part of the module_lmd_driver program
-! that is (number of domains)-dependent
-!
-
-
-SELECT CASE (id)
-
-       CASE(1)
-       CALL meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
-               lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
-               womeg,wmugaz,                                           &
-               wyear_day,wperiheli,waphelie,wperi_day,wobliquit,       &
-               wz0,wemin_turb,wlmixmin,                                &
-               wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
-               wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-#ifdef NEWPHYS
-               walbedodat, wphisfi, wvolcapa,                          &
-#else
-               walbedodat, winertiedat, wphisfi,                       &
-#endif
-               wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta, wpsi)
-
-       CASE(2)
-       CALL d2_meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
-               lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
-               womeg,wmugaz,                                           &
-               wyear_day,wperiheli,waphelie,wperi_day,wobliquit,       &
-               wz0,wemin_turb,wlmixmin,                                &
-               wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
-               wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-#ifdef NEWPHYS
-               walbedodat, wphisfi, wvolcapa,                          &
-#else
-               walbedodat, winertiedat, wphisfi,                       &
-#endif
-               wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta, wpsi)
-
-       CASE(3)
-       CALL d3_meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
-               lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
-               womeg,wmugaz,                                           &
-               wyear_day,wperiheli,waphelie,wperi_day,wobliquit,       &
-               wz0,wemin_turb,wlmixmin,                                &
-               wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
-               wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-#ifdef NEWPHYS
-               walbedodat, wphisfi, wvolcapa,                          &
-#else
-               walbedodat, winertiedat, wphisfi,                       &
-#endif
-               wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta, wpsi)
-
-       CASE(4)
-       CALL d4_meso_inifis(ngridmx,nlayer,nqmx,dt, &
-              wday_ini,wdaysec,               &
-              wappel_phys,wecri_phys,         &
-              lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
-              womeg,wmugaz,                                           &
-              wyear_day,wperiheli,waphelie,wperi_day,wobliquit,       &
-              wz0,wemin_turb,wlmixmin,                                &
-              wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
-              wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-#ifdef NEWPHYS
-               walbedodat, wphisfi, wvolcapa,                          &
-#else
-               walbedodat, winertiedat, wphisfi,                       &
-#endif
-               wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta, wpsi)
-
-!
-!       CASE(3:)
-!       print *, '** Mars ** Not supported ...'
-!       stop
-!
-END SELECT
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc	(revision 226)
@@ -6,15 +6,12 @@
 
        CALL meso_physiq (ngrid,nlayer,nq,                              &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
+               firstcall,lastcall,pday,ptime,ptimestep,                &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
 #ifdef NEWPHYS
-               wisoil, wdsoil, &
+               wtnom, wisoil, wdsoil, &
 #endif
-               wecri_phys_sec,                &
+               wday_ini,                      &
 	       output_tab2d, output_tab3d, flag_LES)
 
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc	(revision 226)
@@ -9,30 +9,24 @@
        CASE(1)
        CALL meso_physiq (ngrid,nlayer,nq,                              &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
+               firstcall,lastcall,pday,ptime,ptimestep,                &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
 #ifdef NEWPHYS
-               wisoil, wdsoil, &
+               wtnom, wisoil, wdsoil, &
 #endif
-               wecri_phys_sec,                &
+               wday_ini,                      &
                output_tab2d, output_tab3d, flag_LES)
 
        CASE(2)
        CALL d2_meso_physiq (ngrid,nlayer,nq,                           &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
+               firstcall,lastcall,pday,ptime,ptimestep,                &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
 #ifdef NEWPHYS
-               wisoil, wdsoil, &
+               wtnom, wisoil, wdsoil, &
 #endif
-               wecri_phys_sec,                &
+               wday_ini,                      &
                output_tab2d, output_tab3d, flag_LES)
 
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc	(revision 226)
@@ -9,47 +9,37 @@
        CASE(1)
        CALL meso_physiq (ngrid,nlayer,nq,                              &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
+               firstcall,lastcall,pday,ptime,ptimestep,                &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
 #ifdef NEWPHYS
-               wisoil, wdsoil, &
+               wtnom, wisoil, wdsoil, &
 #endif
-               wecri_phys_sec,                &
+               wday_ini,                      &
                output_tab2d, output_tab3d, flag_LES)
 
        CASE(2)
-       CALL d2_meso_physiq (ngrid,nlayer,nq,                           &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
+       CALL d2_meso_physiq (ngrid,nlayer,nq,                              &
+               firstcall,lastcall,pday,ptime,ptimestep,                &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
 #ifdef NEWPHYS
-               wisoil, wdsoil, &
+               wtnom, wisoil, wdsoil, &
 #endif
-               wecri_phys_sec,                &
+               wday_ini,                      &
                output_tab2d, output_tab3d, flag_LES)
 
        CASE(3)
-       CALL d3_meso_physiq (ngrid,nlayer,nq,                           &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
+       CALL meso_physiq (ngrid,nlayer,nq,                              &
+               firstcall,lastcall,pday,ptime,ptimestep,                &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
 #ifdef NEWPHYS
-               wisoil, wdsoil, &
+               wtnom, wisoil, wdsoil, &
 #endif
-               wecri_phys_sec,                &
+               wday_ini,                      &
                output_tab2d, output_tab3d, flag_LES)
-
 
 !       CASE(3:)
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc	(revision 225)
+++ 	(revision )
@@ -1,75 +1,0 @@
-!
-! part of the module_lmd_driver program
-! that is (number of domains)-dependent
-!
-
-
-SELECT CASE (id)
-
-       CASE(1)
-       CALL meso_physiq (ngrid,nlayer,nq,                              &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
-               pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
-               pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
-               wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
-#ifdef NEWPHYS
-               wisoil, wdsoil, &
-#endif
-               wecri_phys_sec,                &
-               output_tab2d, output_tab3d, flag_LES)
-
-       CASE(2)
-       CALL d2_meso_physiq (ngrid,nlayer,nq,                           &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
-               pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
-               pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
-               wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
-#ifdef NEWPHYS
-               wisoil, wdsoil, &
-#endif
-               wecri_phys_sec,                &
-               output_tab2d, output_tab3d, flag_LES)
-
-       CASE(3)
-       CALL d3_meso_physiq (ngrid,nlayer,nq,                           &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
-               pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
-               pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
-               wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
-#ifdef NEWPHYS
-               wisoil, wdsoil, &
-#endif
-               wecri_phys_sec,                &
-               output_tab2d, output_tab3d, flag_LES)
-
-       CASE(4)
-       CALL d4_meso_physiq (ngrid,nlayer,nq,                           &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
-               pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-#ifdef NEWPHYS
-               wtnom, &
-#endif
-               pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
-               wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
-#ifdef NEWPHYS
-               wisoil, wdsoil, &
-#endif
-               wecri_phys_sec,                &
-               output_tab2d, output_tab3d, flag_LES)
-
-!       CASE(3:)
-!       print *, '** Mars ** Not supported ...'
-!       stop
-!
-END SELECT
-
-
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 226)
@@ -222,6 +222,6 @@
    ! Additional control variables
    INTEGER :: sponge_top,relax,ips,ipe,jps,jpe,kps,kpe
-   REAL :: elaps, ptimestep, wecri_phys_sec
-   INTEGER :: wappel_phys, wecri_phys, wday_ini, test, test2
+   REAL :: elaps, ptimestep
+   INTEGER :: wappel_phys, wday_ini, test, test2
    LOGICAL :: flag_LES
 
@@ -328,5 +328,4 @@
 wday_ini = JULDAY - 1      !! GCM convention
 wappel_phys = int(RADT)
-wecri_phys = int(CUDT)
 ptimestep = dt*float(wappel_phys)     ! physical timestep (s)
 ngrid=(ipe-ips+1)*(jpe-jps+1)         ! size of the horizontal grid: ngridmx = wiim * wjjm
@@ -1083,8 +1082,4 @@
 DEALLOCATE(wpsi)
 ENDIF
-        !! nearly obsolete
-        !print *, '** Mars ** Diagnostic files each ',wecri_phys,' phys. steps'
-        wecri_phys_sec=dt*float(wecri_phys)*float(wappel_phys)
-        IF (JULYR .eq. 9999) wecri_phys_sec = 100000000.  !! sinon bug (ne peut valoir 0)
 
 !!********!!
Index: trunk/MESOSCALE/LMD_MM_MARS/makemeso
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 225)
+++ trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 226)
@@ -220,5 +220,5 @@
           cd Registry ; ln -sf ../mars_lmd_new_${scenario}/Registry.EM . ; cd ..
         fi 
-     ln -sf meso_callkeys_newphys.h meso_callkeys.h
+     #ln -sf meso_callkeys_newphys.h meso_callkeys.h
      cd Registry ; Registry.bash ; cd ..
     else
@@ -310,6 +310,6 @@
   echo ${dom} >> last
   echo ${tra} >> last
+  echo ${scat} >> last
   echo ${answer} >> last
-  echo ${scat} >> last
 
 #------------
@@ -580,5 +580,5 @@
   \rm dimphys.h 2> /dev/null
   physize=$(expr ${physx} \* ${physy})
-  sed s/--xsize--/${physx}/g meso_dimphys.h_ref | sed s/--ysize--/${physy}/g | sed s/--physize--/${physize}/g | sed s/--zsize--/${physz}/g | sed s/--soilsize--/${soilsize}/g > dimphys.h
+  sed s/--xsize--/${physx}/g meso_inc/meso_dimphys.h_ref | sed s/--ysize--/${physy}/g | sed s/--physize--/${physize}/g | sed s/--zsize--/${physz}/g | sed s/--soilsize--/${soilsize}/g > dimphys.h
   head -15 dimphys.h
      ###
@@ -586,6 +586,6 @@
      if [[ "${phys}" == "newphys_" ]]
      then
-       touch callkeys.h.meso  
-         ln -sf meso_callkeys.h callkeys.h
+       #touch callkeys.h.meso  
+       #  ln -sf meso_callkeys.h callkeys.h
        #touch dustlift.F.meso 
        #  ln -sf meso_dustlift.F dustlift.F  ## attention avec "ancienne nouvelle physique"