Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps	(revision 241)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps	(revision 242)
@@ -1,5 +1,5 @@
 &share				      	
  wrf_core = 'ARW',                    !!   [do not modify: choice of dynamical core]
- __MAX_DOM__
+__MAX_DOM__
  start_date = '0000-00-00_00:00:00','0000-00-00_00:00:00','0000-00-00_00:00:00'   !! YYYY-MM-DD_HH:mm:ss start date
  end_date   = '1111-11-11_11:11:11','0000-00-00_00:00:00','0000-00-00_00:00:00'   !! YYYY-MM-DD_HH:mm:ss end date
@@ -12,15 +12,15 @@
 
 &geogrid
- __PARENT_ID__
- __PARENT_GRID_RATIO__
- __I_PARENT_START__
- __J_PARENT_START__
- __E_WE__
- __E_SN__
- dx = __DX__
- dy = __DY__
- geog_data_res     = __DATA_SOURCE__,       !! choice of static data sources
-                                            !! NB: possible: '64ppd', '32ppd', ...
-                                            !! NB: please glance at geogrid/GEOGRID.TBL
+__PARENT_ID__
+__PARENT_GRID_RATIO__
+__I_PARENT_START__
+__J_PARENT_START__
+__E_WE__
+__E_SN__
+ dx = __DX__,
+ dy = __DY__,
+ geog_data_res     = '__DATA_SOURCE__', '__DATA_SOURCE__', '__DATA_SOURCE__'       !! choice of static data sources
+                                                                                   !! NB: possible: '64ppd', '32ppd', ...
+                                                                                   !! NB: please glance at geogrid/GEOGRID.TBL
  map_proj = '__PROJ__',           !! map projection: 'mercator', 'lambert' or 'polar'
  ref_lat   =  __LAT__,            !! north latitude of the center of the domain 
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso	(revision 241)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso	(revision 242)
@@ -48,6 +48,4 @@
 echo '**** LMD Martian Mesoscale Model launcher ****'
 echo '**********************************************'
-#echo '** Hello '$(whoami)' on '$(hostname)' !'
-#echo '** ['$(uname -a)']'
 echo '** User                  >>> '$(whoami)
 echo '** Hostname              >>> '$(hostname)
@@ -146,5 +144,4 @@
 dx="$(more ${simu_folder}/namelist.input | grep -e '[^!]*dx *=' | awk '{print $3}' | sed s+','+''+g)"
 dy="$(more ${simu_folder}/namelist.input | grep -e '[^!]*dy *=' | awk '{print $3}' | sed s+','+''+g)"
-
 
 #
@@ -201,10 +198,4 @@
 echo '** Horizontal resolution >>> '${dx}
 
-#echo "OK ? ('no' to exit, any key if OK)" ; read wellok
-#  if [[ "${wellok}" = "no" ]] 
-#  then 
-#     exit
-#  fi
-
 ###########
 # ACTIONS #
@@ -324,5 +315,5 @@
              echo 'Please define the domain (not for nests for the moment) : '
              echo " - 1/4 Projection: polar lambert mercator ? previous is "${proj} ; read proj
-             echo " - 2/4 Data source (multiple if nests): 'gcm' '32ppd' '64ppd' '64ppd_noHRti' '32ppd_HRalb' ? previous is "${data_source} ; read data_source
+             echo " - 2/4 Data source (multiple if nests): gcm 32ppd 64ppd 64ppd_noHRti 32ppd_HRalb ? previous is "${data_source} ; read data_source
              echo " - 3/4 North Latitude of domain centre ? previous is "${lat} ; read lat
              echo " - 4/4 East  Longitude of domain centre ? previous is "${lon} ; read lon
@@ -330,11 +321,25 @@
              sed s+"__INTERVAL_SECONDS__"+"${interval_seconds}"+g ${meso_folder}/SIMU/namelist.wps | sed s+"__MAX_DOM__"+"${max_dom}"+g | sed s+"__PARENT_ID__"+"${parent_id}"+g |  sed s+"__PARENT_GRID_RATIO__"+"${parent_grid_ratio}"+g |  sed s+"__I_PARENT_START__"+"${i_parent_start}"+g | sed s+"__J_PARENT_START__"+"${j_parent_start}"+g | sed s+"__E_WE__"+"${e_we}"+g | sed s+"__E_SN__"+"${e_sn}"+g | sed s+"__DX__"+"${dx}"+g | sed s+"__DY__"+"${dy}"+g | sed s+"__PROJ__"+"${proj}"+g | sed s+"__DATA_SOURCE__"+"${data_source}"+g | sed s+"__LAT__"+"${lat}"+g | sed s+"__LON__"+"${lon}"+g | sed s+'0000-00-00_00:00:00'+${year}'-'${month}'-'${day}'_'${hour}':00:00'+g | sed s+'1111-11-11_11:11:11'+${eyear}'-'${emonth}'-'${eday}'_'${ehour}':00:00'+g > ${simu_folder}/namelist.wps
              ####
+             if [[ ${nest} -gt 1 ]]
+             then
+                 echo '**********************************************'
+                 echo "USEFUL RULES for NESTS :"
+                 echo "* parent_grid_ratio divides (e_we-s_we+1)"
+                 echo "* nproc divides e_we-1"
+                 echo "* nproc divides e_we-1"
+             fi
+             if [[ ${nest} -ge 4 ]]
+             then 
+                 echo more than 3 nests, not supported
+                 echo please edit the namelist.wps template in WPS to allow this
+                 exit
+             fi
+             ####
              ln -sf ${simu_folder}/namelist.wps ${work_folder}/WPS/namelist.wps
-             #vi       ${work_folder}/WPS/namelist.wps
              echo '**********************************************'
              echo OK, thank you. Please wait... ncview will pop up soon !
              cd ${work_folder}/WPS/
              \rm geo_em.d0*.nc 2> /dev/null
-             ./geogrid.exe > /dev/null 2> /dev/null 
+             ./geogrid.exe #> /dev/null 2> /dev/null 
              ncview geo_em.d01.nc > /dev/null 2> /dev/null &
                 if [[ -f "geo_em.d02.nc" ]]
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars	(revision 241)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars	(revision 242)
@@ -8,5 +8,5 @@
         df_dy=SLPY
         fill_missing=9000.
-        smooth_option = 1-2-1; smooth_passes=5
+        smooth_option = 1-2-1; smooth_passes=3 #5
 #        smooth_option = smth-desmth_special; smooth_passes=1
 	interp_option =		default:four_pt
@@ -33,5 +33,5 @@
         dest_type = continuous
         fill_missing=9000.
-        smooth_option = 1-2-1; smooth_passes=5
+        smooth_option = 1-2-1; smooth_passes=3 #5
 	interp_option =		default:four_pt
         interp_option = 	32ppd:four_pt
@@ -57,5 +57,5 @@
         dest_type = continuous
         fill_missing=9000.
-        smooth_option = 1-2-1; smooth_passes=5
+        smooth_option = 1-2-1; smooth_passes=3 #5
 	interp_option =		default:four_pt
         interp_option = 	32ppd:four_pt
@@ -79,5 +79,5 @@
         priority = 1
         dest_type = continuous
-        smooth_option = 1-2-1; smooth_passes=5
+        smooth_option = 1-2-1; smooth_passes=10 #5
  	interp_option =	 	32ppd:sixteen_pt+four_pt+average_4pt+average_16pt+search
         rel_path=               32ppd:thermal_GCM/