Index: trunk/MESOSCALE_DEV/MANUAL/SRC/guide.tex
===================================================================
--- trunk/MESOSCALE_DEV/MANUAL/SRC/guide.tex	(revision 247)
+++ trunk/MESOSCALE_DEV/MANUAL/SRC/guide.tex	(revision 248)
@@ -5,5 +5,5 @@
 
 \mk
-\section{A summary of the complete set of commands to run a mesoscale simulation}
+\section{A summary of the complete set of commands to run a mesoscale simulation}\label{zecommands}
 
 \sk
@@ -30,4 +30,5 @@
 ln -sf $MMM/your_compdir/wrf_suffix_reflecting_your_choices.exe wrf.exe
 ln -sf $MMM/your_compdir/real_suffix_reflecting_your_choices.exe real.exe
+[NB: executables can be copied instead of linked]
 \end{verbatim}
 
@@ -77,17 +78,41 @@
 \section{The \ttt{runmeso} script}
 
+\sk
+The serie of commands detailed in section~\ref{zecommands} has to be repeated each time the user would like to run a new simulation with the LMD Martian Mesoscale Model. This is usually simple if the user simply want to change, e.g., the integration timestep, because only the few commands detailed at step~$4$ have to be used. On the contrary, if the user wants to run a new simulation in which, e.g., both the simulated season and the number of grid points are changed, every step from~$0$ to~$4$ have to be repeated (see e.g. section~\ref{changeparam}). Not only it can be tedious to type all commands again and again, but there is a quite high probability that the user (even the most experienced one) will face one or several of the following problems, which would prevent the simulation from running correctly, from running at all, from computing reasonable results, or would waste the user's time:
+\begin{citemize}
+\item A parameter labelled \ttt{(r)} in \ttt{namelist.input} (see chapter~\ref{zeparam}) is changed, but the sources have not been recompiled accordingly; 
+\item The answers to \ttt{makemeso} are not compliant with information in \ttt{namelist.input};
+\item The common information in \ttt{namelist.input} and \ttt{namelist.wps} are different;
+\item The input sol in \ttt{launch\_gcm} does not correspond to the dates in \ttt{namelist.input} and \ttt{namelist.wps} (in accordance to the calendar table in appendix~\ref{calendar} and in \ttt{calendar});
+\item One or several of the various files used as input/output in step~$1$, $2$, $3$ are not correctly linked;
+\item The wrong executable is used because the right model executables are not correctly linked;
+\item Large domain simulations yield long computations of step~$2$ and~$3$, so the user have sometimes to wait a long time between each commands to type.
+\end{citemize}
+
+\sk
+In those circumstances, using the \ttt{bash} script \ttt{runmeso} located in \ttt{\$MMM/SIMU} is probably a good idea when the commands listed in section~\ref{zecommands} has been successfully followed \emph{at least once}. The purpose of the \ttt{runmeso} script is to perform all commands and tests about links, executables, etc... described in section~\ref{zecommands}. To put it in a nutshell, after all the efforts made in the previous chapters to install, compile, test the LMD Martian Mesoscale Model and its initialization routines, the user can now rely on \ttt{runmeso} to easily launch a simulation with the LMD Martian Mesoscale Model. The serie of commands listed in the previous section~\ref{zecommands} is replaced by a more user-friendly method:
+\begin{citemize}
+\item set a simulation directory containing the parameter files \ttt{namelist.input} and \ttt{callphys.def};
+\item edit the \ttt{namelist.input} file with your settings;
+\item edit the \ttt{callphys.def} file with your settings;
+\item run the \ttt{runmeso} script in the simulation folder by typing \ttt{\$MMM/SIMU/runmeso} (or only \ttt{runmeso} if you add \ttt{\$MMM/SIMU} in your \ttt{PATH} environment variable);
+\item make a choice about which step to start with.
+\end{citemize}
+
+When executing the \ttt{runmeso} script, useful information about the simulation and the system in which you plan to run it are prompted, before an invitation appears about the choice of step(s) to process with:
+%
+\scriptsize
+\codesource{runmeso_output}
+\normalsize
+
+\sk
+\begin{finger}
+\item A first test of \ttt{runmeso} can be carried out with the test case of section~\ref{sc:arsia}. Please create a directory (e.g. \ttt{test}) and copy the files \ttt{namelist.input}, \ttt{callphys.def} and \ttt{namelist.wps} referring to this Arsia Mons test case in this directory. Then run \ttt{runmeso} and make choice~$1$, i.e. going through all steps detailed in \ref{steps} and \ref{zecommands}. 
+\item The execution of \ttt{runmeso} stops if an error is encountered: e.g., the environment variable \ttt{MESO} is not defined, one of the two files~\ttt{namelist.input} or~\ttt{callphys.def} are not present in the working directory, etc...
+\item If \ttt{namelist.wps} is not present in the simulation directory, the \ttt{runmeso} script will propose to create it and will prompt $4$~additional questions about map projection, data source, latitude for center of domain, longitude for center of domain. The remaining information to be set in \ttt{namelist.wps} (cf. section~\ref{wps}) is then copied from \ttt{namelist.input} to ensure all common parameters between the two files are the same. The program \ttt{geogrid.exe} is then run and, if \ttt{ncview} is installed on your system, this program is prompted so that you can explore the file \ttt{geo\_em} file to check the created domain.
+\item An \ttt{xeyes} session is prompted when the \ttt{runmeso} script has finished processing required steps.
+\item If \ttt{runmeso} went well through steps~$1$ and~$2$, but encountered an error in~$3$, once the error has been corrected \ttt{runmeso} is not required to perform steps~$1$ and~$2$ again and can be started directly at step~$3$ (by typing~$3$, see possible choices above).
+\end{finger}
+
 %\mk
-%\section{Complete simulations with \ttt{runmeso}}
-%
-%you'll notice you need to change namelist according to model compilation
-%in order to minimize errors and help the user.
-%
-%\begin{remarque}
-%To be completed
-%\end{remarque}
-%
-%parler de xeyes
-
-\mk
-\section{Examples of parameter files}
-
+%\section{Examples of parameter files}
Index: trunk/MESOSCALE_DEV/MANUAL/SRC/preproc.tex
===================================================================
--- trunk/MESOSCALE_DEV/MANUAL/SRC/preproc.tex	(revision 247)
+++ trunk/MESOSCALE_DEV/MANUAL/SRC/preproc.tex	(revision 248)
@@ -85,5 +85,5 @@
 
 \sk
-The other necessary operation to prepare the LMD-MGCM for step~1 is to store a set of initial states for the LMD-MGCM to start with -- based on previous typical LMD-MGCM runs having reached equilibrium after ten years of integration. A reference database can be found in the following online big archive~\url{ftp://ftp.lmd.jussieu.fr/pub/aslmd/STARTBASE_64_48_32_t2.tar.gz}. This archive must be extracted somewhere on a disk that would be accessible by the system you plan to run the mesoscale model on; the absolute link of the \ttt{STARTBASE\_64\_48\_32\_t2} directory on your disk must be reported in the beginning of the script~\ttt{\$MESO/LMDZ.MARS/myGCM/launch\_gcm} (variable \ttt{startbase}). If those operations went well, please try the command line~\ttt{echo 22 | launch\_gcm} which should launch the GCM integrations on your system.
+The other necessary operation to prepare the LMD-MGCM for step~1 is to store a set of initial states for the LMD-MGCM to start with -- based on previous typical LMD-MGCM runs having reached equilibrium after ten years of integration. A reference database can be found in the following online big archive~\url{ftp://ftp.lmd.jussieu.fr/pub/aslmd/STARTBASE_64_48_32_t2.tar.gz}. This archive must be extracted somewhere on a disk that would be accessible by the system you plan to run the mesoscale model on. A link named~\ttt{startbase} towards the \ttt{STARTBASE\_64\_48\_32\_t2} directory must be created in the directory~\ttt{\$MESO/LMDZ.MARS/myGCM}. If those operations went well, please try the command line~\ttt{echo 22 | launch\_gcm} which should launch the GCM integrations on your system.
 
 \mk
@@ -91,5 +91,5 @@
 
 \sk
-\subsection{General overview}
+\subsection{General overview}\label{changeparam}
 
 \sk
@@ -142,6 +142,4 @@
 \end{verbatim}
 
-%%% compile_and_exec ???? au moment de runmeso
-
 \sk
 \subsection{Step 2: Interpolation on the regional domain}\label{wps}
@@ -161,5 +159,5 @@
 \item No input meteorological data are actually needed to execute \ttt{geogrid.exe}. This step~2a can be achieved/prepared e.g. before step~1. It is probably a good idea to prepare step~2 by choosing the mesoscale simulation domain, while GCM computations are done in step~1. 
 \item More details about the database and more options of interpolation could be found in the file \ttt{geogrid/GEOGRID.TBL} (for advanced users only).
-\item Two examples are given in Figure~\ref{vallespolar}.
+\item Two examples of \ttt{namelist.wps} parameters are given in Figure~\ref{vallespolar} with resulting domains.
 \end{finger}
 
@@ -176,5 +174,13 @@
 \end{figure}
 
-
+\sk
+The input datasets for topography and soil properties can be set in \ttt{namelist.wps} through the keyword \ttt{geog\_data\_res}. Possible choices are
+\begin{citemize}
+\item \ttt{'gcm'}: coarse-resolution datasets, 
+\item \ttt{'32ppd'}: coarse-resolution datasets, but 32ppd MOLA topography, 
+\item \ttt{'64ppd'}: fine-resolution datasets: TES albedo \& thermal inertia, 64ppd MOLA topography, 
+\item \ttt{'64ppd\_noHRti'}: fine-resolution datasets, but coarse-resolution thermal inertia, 
+\item \ttt{'32ppd\_HRalb'}: fine-resolution albedo, coarse-resolution thermal inertia, 32ppd topography.
+\end{citemize}
 
 \sk
Index: trunk/MESOSCALE_DEV/MANUAL/SRC/runmeso_output
===================================================================
--- trunk/MESOSCALE_DEV/MANUAL/SRC/runmeso_output	(revision 248)
+++ trunk/MESOSCALE_DEV/MANUAL/SRC/runmeso_output	(revision 248)
@@ -0,0 +1,35 @@
+**********************************************
+**** LMD Martian Mesoscale Model launcher ****
+**********************************************
+** User                  >>> aymeric
+** Hostname              >>> aymeric-laptop
+** Hardware              >>> i686
+** Processor             >>> unknown
+**********************************************
+** Simulation directory  >>> /home/aymeric/Science/MODELES/MESOSCALE/LMD_MM_MARS/TESTCASE
+** Start date            >>> 2024-01-17 [sol=16, Ls=8.102209]
+** End date              >>> 2024-01-17 [sol=16, Ls=8.102209]
+** Domain(s)             >>> 1
+** Tracer(s)             >>> 1
+** Grid points           >>> 61 x 61 x 61
+** Horizontal resolution >>> 20000
+**********************************************
+** The runmeso script does it for you !
+**********************************************
+** Step 0: compile the model if not done yet
+** Step 1: run GCM and prepare inputs
+** Step 2: interpolate on domain horizontal grid
+** Step 3: interpolate on chosen vertical levels
+** Step 4: run the model
+************************* Please make a choice
+ 1 --> Perform steps 0 1 2 3 4  [ -1: step 0 skipped]
+ 2 --> Perform steps 0 2 3 4    [ -2: step 0 skipped]
+ 3 --> Perform steps 0 3 4      [ -3: step 0 skipped]
+ 4 --> Perform steps 0 4        [ -4: step 0 skipped]
+11 --> Perform steps 0 1 2 3    [-11: step 0 skipped]
+12 --> Perform steps 0 2 3      [-12: step 0 skipped]
+13 --> Perform steps 0 3        [-13: step 0 skipped]
+ 0 --> Perform step  0 only
+99 --> Oops ! Exit now please.
+**********************************************
+What is your choice? 
Index: trunk/MESOSCALE_DEV/MANUAL/SRC/user_manual.tex
===================================================================
--- trunk/MESOSCALE_DEV/MANUAL/SRC/user_manual.tex	(revision 247)
+++ trunk/MESOSCALE_DEV/MANUAL/SRC/user_manual.tex	(revision 248)
@@ -102,5 +102,5 @@
 
 \sk
-\small
+\scriptsize
 \codesource{calendar}
 \normalsize
Index: trunk/MESOSCALE_DEV/MANUAL/SRC/user_manual_txt.tex
===================================================================
--- trunk/MESOSCALE_DEV/MANUAL/SRC/user_manual_txt.tex	(revision 247)
+++ trunk/MESOSCALE_DEV/MANUAL/SRC/user_manual_txt.tex	(revision 248)
@@ -12,4 +12,6 @@
 
 \codesource{namelist.wps_NEST} 
+
+\section{geogrid.tbl}
 
 \section{Tracers}