Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps_TEST
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps_TEST	(revision 254)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps_TEST	(revision 254)
@@ -0,0 +1,1 @@
+link /donnees/aslmd/MODELES//MESOSCALE//LMD_MM_MARS/SRC/WPS/wps_mars/namelist.wps_TEST
Index: /trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/myplot.py
===================================================================
--- /trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/myplot.py	(revision 253)
+++ /trunk/MESOSCALE_DEV/PLOT/PYTHON/mylib/myplot.py	(revision 254)
@@ -21,4 +21,5 @@
 def whatkindfile (nc):
     if 'controle' in nc.variables:   typefile = 'gcm'
+    elif 'phisinit' in nc.variables: typefile = 'gcmex'
     elif 'vert' in nc.variables:     typefile = 'mesoapi'
     elif 'U' in nc.variables:        typefile = 'meso'
@@ -259,5 +260,5 @@
         lon2d = dumpbdy(lon2d,6)
         lat2d = dumpbdy(lat2d,6)
-    elif typefile in ['gcm']:
+    elif typefile in ['gcm','gcmex']:
         [lon2d,lat2d] = getcoord2d(nc,nlat="latitude",nlon="longitude",is1d=True)
     elif typefile in ['geo']:
Index: /trunk/MESOSCALE_DEV/PLOT/PYTHON/scripts/winds.py
===================================================================
--- /trunk/MESOSCALE_DEV/PLOT/PYTHON/scripts/winds.py	(revision 253)
+++ /trunk/MESOSCALE_DEV/PLOT/PYTHON/scripts/winds.py	(revision 254)
@@ -30,5 +30,6 @@
            anomaly=False,\
            var2=None,\
-           ndiv=10):
+           ndiv=10,\
+           first=1):
 
     ####################################################################################################################
@@ -86,5 +87,5 @@
     ### Time loop for plotting device
     found_lct = False
-    itime = 0  ## could be an argument
+    itime = first
     nplot = 1
     error = False
@@ -185,5 +186,5 @@
     ### Save the figure in a file in the data folder or an user-defined folder
     if typefile in ['meso','mesoapi']:   prefix = getprefix(nc)   
-    elif typefile in ['gcm']:            prefix = 'LMD_GCM_'
+    elif typefile in ['gcm','gcmex']:            prefix = 'LMD_GCM_'
     else:                                prefix = ''
     ###
@@ -258,5 +259,5 @@
     parser.add_option('-N', '--no-api', action='store_true',dest='nocall',               default=False, help='do not recreate api file')
     parser.add_option('-d', '--display',action='store_false',dest='display',             default=True,  help='do not pop up created images')
-    parser.add_option('-e', '--itime',  action='store',dest='itstep',    type="int",     default=None,  help='stride time (def=4)')
+    parser.add_option('-e', '--itstep', action='store',dest='itstep',    type="int",     default=None,  help='stride time (def=4)')
     parser.add_option('-H', '--hole',   action='store_true',dest='hole',                 default=False, help='holes above max and below min')
     parser.add_option('-S', '--save',   action='store',dest='save',      type="string",  default="gui", help='save mode (png,eps,svg,pdf or gui)(def=gui)')
@@ -264,4 +265,5 @@
     parser.add_option('-w', '--with',   action='store',dest='var2',     type="string",   default=None,  help='variable contoured')
     parser.add_option('--div',          action='store',dest='ndiv',     type="int",      default=10,    help='number of divisions in colorbar (def: 10)')
+    parser.add_option('-F', '--first',  action='store',dest='first',    type="int",      default=1,     help='first subscript to plot (def: 1)')
     #parser.add_option('-V', action='store', dest='comb',        type="float",   default=None,  help='a defined combination of variables')
     (opt,args) = parser.parse_args()
@@ -338,5 +340,5 @@
                 tile=opt.tile,zoom=opt.zoom,display=opt.display,\
                 itstep=opt.itstep,hole=opt.hole,save=opt.save,\
-                anomaly=opt.anomaly,var2=opt.var2,ndiv=opt.ndiv)
+                anomaly=opt.anomaly,var2=opt.var2,ndiv=opt.ndiv,first=opt.first)
             print 'Done: '+name
             system("rm -f to_be_erased")